# Create customerPaymentJournals
Create a customerPaymentJournal object in Business Central.
## HTTP request
Replace the URL prefix for Business Central depending on environment following the guideline<../endpoints-apis-for-dynamics>.
```
POST businesscentralPrefix/companies({id})/customerPaymentJournals({id})
```
## Request headers
Header|Value
Authorization|Bearer {token}. Required.
Content-Type|application/json
## Request body
In the request body, supply a JSON representation of customerPaymentJournals object.
## Response
If successful, this method returns ```201 Created``` response code and a customerPaymentJournals object in the response body.
## Example
Request
Here's an example of a request.
```json
POST https://{businesscentralPrefix}/api/v1.0/companies({id})/customerPaymentJournals
Content-type: application/json

{
    "code": "GENERAL",
    "displayName": "GENERAL",
    "balancingAccountId": "00000000-0000-0000-0000-000000000000"
}
```
Response
```json
HTTP/1.1 201 Created
Content-type: application/json

{
    "id": "dc1b6a90-44e3-ea11-bb43-000d3a2feca1",
    "code": "GENERAL",
    "displayName": "GENERAL",
    "lastModifiedDateTime": "2020-08-21T00:24:35.687Z",
    "balancingAccountId": "00000000-0000-0000-0000-000000000000",
    "balancingAccountNumber": "10100"
}
```
## Related information
Tips for working with the APIs<../../../developer/devenv-connect-apps-tips>
../resources/dynamics_customerpaymentjournal
dynamics_customerpaymentjournal_get
dynamics_customerpaymentjournal_delete
dynamics_customerpaymentjournal_update

Copyright (c) Microsoft Corporation. CC BY 4.0, https://creativecommons.org/licenses/by/4.0/; code samples MIT. From https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_customerpaymentjournal_create, MicrosoftDocs/dynamics365smb-devitpro-pb at 828b6ee (2026-11-19). Changed: includes filled in, links to this site, and for agents shortened without dropping a fact. https://jonas-paprotka.de/docs/dev-itpro/api-reference/v2.0/api/dynamics_customerpaymentjournal_create/
